Axis2/C: transport out description

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# transport out description
[description]

## Files
file | axis2_transport_out_desc.h
## Typedefs
typedef struct axis2_transport_out_desc | axis2_transport_out_desc_t
## Functions
AXIS2_EXTERN void | axis2_transport_out_desc_free (axis2_transport_out_desc_t *transport_out_desc, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_transport_out_desc_free_void_arg (void *transport_out, const axutil_env_t *env)
AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS | axis2_transport_out_desc_get_enum (const axis2_transport_out_desc_t *transport_out, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_set_enum (struct axis2_transport_out_desc *transport_out, const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS trans_enum)
AXIS2_EXTERN struct axis2_flow * | axis2_transport_out_desc_get_out_flow (const axis2_transport_out_desc_t *transport_out, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_set_out_flow (struct axis2_transport_out_desc *transport_out, const axutil_env_t *env, struct axis2_flow *out_flow)
AXIS2_EXTERN struct axis2_flow * | axis2_transport_out_desc_get_fault_out_flow (const axis2_transport_out_desc_t *transport_out, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_set_fault_out_flow (struct axis2_transport_out_desc *transport_out, const axutil_env_t *env, struct axis2_flow *fault_out_flow)
AXIS2_EXTERN axis2_transport_sender_t * | axis2_transport_out_desc_get_sender (const axis2_transport_out_desc_t *transport_out, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_set_sender (struct axis2_transport_out_desc *transport_out, const axutil_env_t *env, axis2_transport_sender_t *sender)
AXIS2_EXTERN struct axis2_phase * | axis2_transport_out_desc_get_out_phase (const axis2_transport_out_desc_t *transport_out, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_set_out_phase (struct axis2_transport_out_desc *transport_out, const axutil_env_t *env, struct axis2_phase *out_phase)
AXIS2_EXTERN struct axis2_phase * | axis2_transport_out_desc_get_fault_phase (const axis2_transport_out_desc_t *transport_out, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_set_fault_phase (struct axis2_transport_out_desc *transport_out, const axutil_env_t *env, struct axis2_phase *fault_phase)
AXIS2_EXTERN axis2_status_t | axis2_transport_out_desc_add_param (axis2_transport_out_desc_t *transport_out_desc, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axis2_transport_out_desc_get_param (const axis2_transport_out_desc_t *transport_out_desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_bool_t | axis2_transport_out_desc_is_param_locked (axis2_transport_out_desc_t *transport_out_desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axutil_param_container_t * | axis2_transport_out_desc_param_container (const axis2_transport_out_desc_t *transport_out_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_transport_out_desc_t * | axis2_transport_out_desc_create (const axutil_env_t *env, const AXIS2_TRANSPORT_ENUMS trans_enum)

## Detailed Description

transport out description represents a transport sender configured in Axis2 configuration. There can be multiple transport senders configured in axis2.xml file and each of them will be represented with a transport out description instance. deployment engine takes care of creating and instantiating transport out descriptions. transport out description encapsulates flows related to the transport out and also holds a reference to related transport sender.

## Typedef Documentation

typedef struct axis2_transport_out_desc axis2_transport_out_desc_t

Type name for struct axis2_transport_out_desc

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_add_param | ( | axis2_transport_out_desc_t * | transport_out_desc,
|  | const axutil_env_t * | env,
|  | axutil_param_t * | param |
| ) |  |  |

Adds parameter.

Parameters:

  | transport_out_desc | pointer to tarn sport out description
  | env | pointer to environment struct
  | param | pointer to parameter, transport out description assumes ownership of parameter

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_transport_out_desc_t* axis2_transport_out_desc_create | ( | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Creates transport out description with given transport enum.

Parameters:

  | env | pointer to environment struct
  | trans_enum | pointer to transport enum

Returns:
  pointer to newly created transport out

AXIS2_EXTERN void axis2_transport_out_desc_free | ( | axis2_transport_out_desc_t * | transport_out_desc,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees transport out description.

Parameters:

  | transport_out_dec | pointer to transport out description
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN void axis2_transport_out_desc_free_void_arg | ( | void * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees transport out description given as a void pointer.

Parameters:

  | transport_out_dec | pointer to transport out description as a void pointer
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN AXIS2_TRANSPORT_ENUMS axis2_transport_out_desc_get_enum | ( | const axis2_transport_out_desc_t * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport enum.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct

Returns:
  transport enum

AXIS2_EXTERN struct axis2_flow* axis2_transport_out_desc_get_fault_out_flow | ( | const axis2_transport_out_desc_t * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets fault out flow. Fault out flow represents the list of phases invoked along the sender path if a fault happens.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct

Returns:
  pointer to flow representing fault out flow

AXIS2_EXTERN struct axis2_phase* axis2_transport_out_desc_get_fault_phase | ( | const axis2_transport_out_desc_t * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets fault phase.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct

Returns:
  pointer to phase representing fault phase, returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_flow* axis2_transport_out_desc_get_out_flow | ( | const axis2_transport_out_desc_t * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets out flow. Out flow represents the list of phases invoked along the sender path.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct

Returns:
  pointer to flow representing out flow, returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_phase* axis2_transport_out_desc_get_out_phase | ( | const axis2_transport_out_desc_t * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets transport out phase.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct

Returns:
  pointer to phase representing transport out phase, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_param_t* axis2_transport_out_desc_get_param | ( | const axis2_transport_out_desc_t * | transport_out_desc,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | param_name |
| ) |  |  |

Gets named parameter.

Parameters:

  | transport_out_desc | pointer to transport out description
  | env | pointer to environment struct
  | param_name | parameter name string

AXIS2_EXTERN axis2_transport_sender_t* axis2_transport_out_desc_get_sender | ( | const axis2_transport_out_desc_t * | transport_out,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets transport sender.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct

Returns:
  pointer to transport sender associated wit the transport out description, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_transport_out_desc_is_param_locked | ( | axis2_transport_out_desc_t * | transport_out_desc,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | param_name |
| ) |  |  |

Checks if the named parameter is locked.

Parameters:

  | transport_out_desc | pointer to transport out description
  | env | pointer to environment struct
  | param_name | pointer to parameter name

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_set_enum | ( | struct axis2_transport_out_desc * | transport_out,
|  | const axutil_env_t * | env,
|  | const AXIS2_TRANSPORT_ENUMS | trans_enum |
| ) |  |  |

Sets transport enum.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct
  | trans_enum | transport enum

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_set_fault_out_flow | ( | struct axis2_transport_out_desc * | transport_out,
|  | const axutil_env_t * | env,
|  | struct axis2_flow * | fault_out_flow |
| ) |  |  |

Sets fault out flow. Fault out flow represents the list of phases invoked along the sender path if a fault happens.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct
  | fault_out_flow | pointer to fault_out_flow

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_set_fault_phase | ( | struct axis2_transport_out_desc * | transport_out,
|  | const axutil_env_t * | env,
|  | struct axis2_phase * | fault_phase |
| ) |  |  |

Sets fault phase.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct
  | fault_phase | pointer to phase representing fault phase, transport description assumes ownership of phase

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_set_out_flow | ( | struct axis2_transport_out_desc * | transport_out,
|  | const axutil_env_t * | env,
|  | struct axis2_flow * | out_flow |
| ) |  |  |

Sets out flow. Out flow represents the list of phases invoked along the sender path.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct
  | out_flow | pointer to out flow, transport out description assumes ownership of flow

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_set_out_phase | ( | struct axis2_transport_out_desc * | transport_out,
|  | const axutil_env_t * | env,
|  | struct axis2_phase * | out_phase |
| ) |  |  |

Sets transport out phase.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct
  | out_phase | pointer to phase representing transport out phase, transport out description assumes ownership of phase

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_transport_out_desc_set_sender | ( | struct axis2_transport_out_desc * | transport_out,
|  | const axutil_env_t * | env,
|  | axis2_transport_sender_t * | sender |
| ) |  |  |

Sets transport sender.

Parameters:

  | transport_out | pointer to transport_out
  | env | pointer to environment struct
  | sender | pointer to transport sender, transport description assumes ownership of sender

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE